#include "Color.h"

Color::Color(){
	this->red = 0.0;
	this->green = 0.0;
	this->blue = 0.0;
	this->alpha = 1.0;
}

Color::Color(double r,double g,double b,double a){
	this->red = r;
	this->green = g;
	this->blue = b;
	this->alpha = a;
	
}
Color::~Color(){
	
}

Color Color::transparent(double percentage){
	Color newColor = Color(red,green,blue,alpha);
	
	newColor.alpha = 1.0 - (percentage/100.0);
	
	return newColor;
}

std::string Color::toString(){
	std::ostringstream stream;
	
	stream << red << " "  << green << " " << blue << " " << alpha << "\n";
	
	return stream.str();
	
}
