#ifndef __APPLE__

/* Apple CGSize */
struct CGSize {
   float width;
   float height;
};

typedef struct CGSize CGSize;


/* Apple CGPoint */
struct CGPoint {
   float x;
   float y;
};
typedef struct CGPoint CGPoint;


/* Apple CGRect */
struct CGRect {
   CGPoint origin;
   CGSize size;
};
typedef struct CGRect CGRect;

#endif

void keyPressed(unsigned char key, int x, int y);
void mouseMovedButton(int x, int y);
void mousePressedButton(int button, int state, int x, int y);
static void mousePan (int x, int y, pRecContext pContextInfo);
static void mouseDolly (int x, int y, pRecContext pContextInfo);
void renderScene(void);
void buildGL(void);
void drawGL(pRecContext pContextInfo);
void drawCStringGL (char * cstrOut, GLuint fontList);
static void drawInfo (pRecContext pContextInfo);
void resizeWindow(int x, int y);
void resizeGL(pRecContext pContextInfo, CGRect viewRect);
void updateProjection (pRecContext pContextInfo);
void updateModelView (pRecContext pContextInfo);
void pointPath();
Map* getMap();
abstractMap* getAbstractMap();
//static void drawCaps (pRecContext pContextInfo) {}

