// $Id: tmanager_main.C,v 1.2 2006/05/24 16:13:27 krysta Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

// ORTS tournament manager
//
// - round robin game scheduler
// - starts remote servers/clients 

#include "TGlobal.H"
#include "TOptions.H"

using namespace std;

static const char *VERSION = "tmanager version 0.1 (2006-May-9)";

// register command line options

static void add_options()
{
  Options o("tmanager");
  // o.put("-loadmap", string(""),      "map file name to load");
  // o.put("-newt",    true,            "new terrain");
  // o.put("-debug",   false,           "debug mode");
  // o.put("-frano", "frano's test map");
  // o.put("-disp",    "2d display");
  //o.put("-x",       sint4(0), "example");
}


int main(int argc, char **argv)
{
  // signals_shut_down(true);

  add_options();
  
  if (Options::process(argc, argv, cerr, VERSION)) exit(20);

#if 0
  // how to access options
  sint4 seed;
  Options::get("-seed", seed);
  if (!seed) seed = time(0);
  Options::set("-seed", seed);
  cout << "seed=" << seed << endl;
#endif
  
}
