#ifndef All_H
#define All_H

// Standard header file collection (precompiled)
// $Id: All.H,v 1.10 2006/06/10 01:56:48 orts_mburo Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

#define __STDC_LIMIT_MACROS 1

#include <stdint.h>
#include <cstdlib>
#include <cassert>
#include <cmath>
#include <cstdarg>
#include <cstdio>
#include <csignal>
#include <string>
#include <iomanip>
#include <iostream>
#include <sstream>
#include <fstream>
#include <iosfwd>
#include <map>
#include <list>
#include <set>
#include <vector>
#include <stack>
#include <queue>
#include <algorithm>
#include <limits>
#include <SDL.h>
#include <SDL_net.h>
#include <SDL_thread.h>
#include <boost/static_assert.hpp>

#ifdef GCC 

#  include <unistd.h>
#  include <ext/hash_map>
#  include <ext/hash_set>
#  define EXT_NAMESPACE __gnu_cxx
#else
// Windows
#  include <stdarg.h>
#  include <math.h>
#  include <time.h>
#  include <hash_map>
#  include <hash_set>
#  define vsnprintf _vsnprintf
#  define snprintf _snprintf

// need to include windows at the start
// remaining code is for compatibility (moved from GfxGlobal.H)
#  define _WINSOCKAPI_
#  include "windows.h"
#  undef min
#  undef max
#  undef RGB
#  include "glew.h"
#  include <glut.h>
#  define EXT_NAMESPACE stdext
#endif

#endif
