// $Id: SDLinit.C,v 1.4 2005/05/11 07:40:00 orts_mburo Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

#include "Global.H"
#include "SDLinit.H"

using namespace std;

void SDLinit::video_init()
{
  // Initialize the SDL library
    
  if (SDL_Init(// SDL_INIT_VIDEO |
	       // SDL_FULLSCREEN |
	       // SDL_HWSURFACE |
	       // SDL_HWACCEL | SDL_PREALLOC |
	       // SDL_DOUBLEBUF |
	       SDL_INIT_NOPARACHUTE) < 0) {
    ERR2("Couldn't initialize SDL: ", SDL_GetError());
  }
    
  atexit(SDL_Quit);
    
  if (SDLNet_Init() == -1) {
    ERR2("SDLNet_Init: ", SDLNet_GetError());
  }
}

void SDLinit::network_init()
{
  if (SDLNet_Init() == -1) {
    ERR2("SDLNet_Init error: ", SDLNet_GetError());
  }
  atexit(SDLNet_Quit);
}
