#ifndef  OTextWidget_H
#define  OTextWidget_H

// $Id: OTextWidget.H,v 1.1 2006/05/31 22:30:57 orts_mburo Exp $

// This is an ORTS file
// (c) Sami Wagiaalla

#include "OCWidget.H"

/** Outputs text to the game GUI. */

class TextWidget : public CWidget{

public:
  TextWidget();
  virtual ~TextWidget(){}

  stype draw();

  template <class T>
  void operator<<(const T& s){ text+= s;}
  
  void append(const std::string& text_) { text += text_; }
  void set_text(const std::string& text_) { text = text_; }
  void clear(){text.clear();}
  
private:
  
  std::string text;
  int    margin;

  std::string wrap(const std::string& s, int count);

};

#endif

