#ifndef ClientState_H
#define ClientState_H

// $Id: ClientState.H,v 1.3 2005/05/17 17:13:30 orts_mburo Exp $

// This is an ORTS file (c) Michael Buro, licensed under the GPL

class GameStateModule;
class GfxModule;

struct ClientState {

  GameStateModule *gsm;
  GfxModule       *gfxm;
  bool just_drew;

  ClientState(GameStateModule &gsm_, GfxModule &gfxm_) :
    gsm(&gsm_), gfxm(&gfxm_)
  {
    just_drew = false;
  }

};

#endif
