/*
    (c) Michael Buro, mic@research.nj.nec.com
    NEC Research Institute
    4 Independence Way
    Princeton, NJ 08540, USA

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef RTS_regact_H
#define RTS_regact_H

#include "Global.H"
#include "CompAction.H"
#include <map>

#define REGISTER_ACTION(T,MAP) MAP[T::name()] = T::new_comp_act

typedef std::map<std::string, CompActCtor> ConstrMap;
typedef ConstrMap::iterator MapIt;
typedef ConstrMap::const_iterator MapConstIt;

extern void rts_regact(ConstrMap &act_map);

#endif
