// $Id: SI_Base.cpp,v 1.4 2006/05/31 16:49:26 sailer Exp $


#include "SI_Group.h"
#include "SI_MapObject.h"

#include "SI_Base.h"

#include <math.h>

namespace Simul{
  Base::Base(uint4 playerID,uint4 hp) : MapObject(playerID){
    hitPoints = hp;
  }

  Base* Base::clone() const {
    return new Base(*this);
  }

  bool Base::withinRange(Group* otherObject){
    Vector3D test = otherObject->getPosition();

    if(test.x < (position.x - extents/2.0)) test.x = position.x - extents/2.0;

    if(test.x > (position.x + extents/2.0)) test.x = position.x + extents/2.0;

    if(test.y < (position.y - extents/2.0)) test.y = position.y - extents/2.0;

    if(test.y > (position.y + extents/2.0)) test.y = position.y + extents/2.0;

    double range =  otherObject->getMaxAttackRange();
    if((otherObject->getPosition() - test).length() < range){
      return true;
    }else{
      return false;
    }
  }


}

