#ifndef OScriptEvent_H
#define OScriptEvent_H

// $Id: OScriptEvent.H,v 1.1 2006/05/31 22:30:57 orts_mburo Exp $
      
// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "EventHandler.H"
#include "Action.H"

/** A generic event thrown by the script.   */

class ScriptEvent : public Event {
 
public:
  
  ScriptEvent(sint4 who, sint4 what, const SActParam &p_) :
    Event(who, what), p(p_) { }

  virtual ~ScriptEvent() {};

  const SActParam& get_param() const { return p; }
  
protected:

  SActParam p;
};

#endif
