#ifndef ShooterAIWidget_H
#define ShooterAIWidget_H

// $Id: Game3_AIWidget.H,v 1.1 2006/05/09 15:44:30 orts_mburo Exp $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "CWidget.H"
#include "Game3_AI.H"

//===================================================================

/** GUI interface with ShooterAI. */

class ShooterAIWidget : public CWidget
{
private:
  ShooterAI *shooter_ai;

public:

  ShooterAIWidget();
  void attach(ShooterAI *ai);

protected:
  stype event_mouse_down(stype x, stype y, stype b);
  stype event_key_down(stype key, stype mod, stype x, stype y);

  stype draw();
};

//===================================================================

#endif
