/*
 * Created by Nick Wiebe on 5/4/06.
 */
#ifndef PR_RESERVATIONPROVIDER_H
#define PR_RESERVATIONPROVIDER_H

#include "graph.h"
#include "reservationProvider.h"

#define LOCAL_PATH

namespace HOG {

  class HOG::unit;

  class PR_ReservationProvider : public reservationProvider {
  public:
    PR_ReservationProvider(int size);
    virtual ~PR_ReservationProvider();
    //virtual bool tileOccupied(int x, int y) = 0;	
    virtual bool nodeOccupied(node *n);

    virtual bool canMove(node *from, node *to, double startTime, HOG::unit *u);
    virtual bool reserveMove(node *from, node *to, double startTime, HOG::unit *u);
    virtual bool clearMove(node *from, node *to, double startTime, HOG::unit *u);
    virtual void clearAllReservations();

    void setNodeStatus(node *n, bool status);
  

  private:
    bitVector *bitVec;

  };
}

#include "unit.h"
#endif

